package com.aiup.service.entity;

import java.util.Date;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 模板信息表(TemplateInfo)实体类
 *
 * @author makejava
 * @since 2023-08-22 12:54:41
 */

@ApiModel("模板信息表")
public class TemplateInfo implements Serializable {
    private static final long serialVersionUID = 889049598937374797L;
    /**
     * Id
     */    
    @ApiModelProperty(value = "Id")
    private Integer id;
    /**
     * 用户ID
     */    
    @ApiModelProperty(value = "用户ID")
    private Integer userId;
    /**
     * 模板名称
     */    
    @ApiModelProperty(value = "模板名称")
    private String templateName;
    /**
     * 内容属性
     */    
    @ApiModelProperty(value = "内容属性")
    private String templateContent;
    /**
     * 内容领域
     */
    @ApiModelProperty(value = "内容领域")
    private String templateDomain;
    /**
     * 领域属性
     */    
    @ApiModelProperty(value = "领域属性")
    private String templateArea;
    /**
     * 字数
     */    
    @ApiModelProperty(value = "字数")
    private Integer number;
    /**
     * 主题
     */    
    @ApiModelProperty(value = "主题")
    private String templateTopic;
    /**
     * 内容风格
     */    
    @ApiModelProperty(value = "内容风格")
    private String templateStyle;
    /**
     * 条数
     */    
    @ApiModelProperty(value = "条数")
    private Integer templateCount;
    /**
     * 创建时间
     */    
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
    /**
     * 是否删除
     */    
    @ApiModelProperty(value = "是否删除")
    private Integer isDeleted;
    /**
     * 修改时间
     */    
    @ApiModelProperty(value = "修改时间")
    private Date updateTime;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getTemplateName() {
        return templateName;
    }

    public void setTemplateName(String templateName) {
        this.templateName = templateName;
    }

    public String getTemplateContent() {
        return templateContent;
    }
    public void setTemplateContent(String templateContent) {
        this.templateContent = templateContent;
    }

    public String getTemplateDomain() {
        return templateDomain;
    }
    public void setTemplateDomain(String templateDomain) {
        this.templateDomain = templateDomain;
    }
    public String getTemplateArea() {
        return templateArea;
    }

    public void setTemplateArea(String templateArea) {
        this.templateArea = templateArea;
    }

    public Integer getNumber() {
        return number;
    }

    public void setNumber(Integer number) {
        this.number = number;
    }

    public String getTemplateTopic() {
        return templateTopic;
    }

    public void setTemplateTopic(String templateTopic) {
        this.templateTopic = templateTopic;
    }

    public String getTemplateStyle() {
        return templateStyle;
    }

    public void setTemplateStyle(String templateStyle) {
        this.templateStyle = templateStyle;
    }

    public Integer getTemplateCount() {
        return templateCount;
    }

    public void setTemplateCount(Integer templateCount) {
        this.templateCount = templateCount;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(Integer isDeleted) {
        this.isDeleted = isDeleted;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

}

